com.impinj.stp

## Class StpApi.TagOperationReportConfig.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.TagOperationReportConfig.Builder>
      - - com.impinj.stp.StpApi.TagOperationReportConfig.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.TagOperationReportConfigOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.TagOperationReportConfig

      public static final class StpApi.TagOperationReportConfig.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.TagOperationReportConfig.Builder>
      implements StpApi.TagOperationReportConfigOrBuilder

  Protobuf type `Impinj.STP.TagOperationReportConfig` Configure what types of reports to send from the device.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.TagOperationReportConfig` | `build()`
    `StpApi.TagOperationReportConfig` | `buildPartial()`
    `StpApi.TagOperationReportConfig.Builder` | `clear()`
    `StpApi.TagOperationReportConfig.Builder` | `clearEnableEpcInSerialReport()` This only has meaning if enable_reporting_over_serial_port is true.
    `StpApi.TagOperationReportConfig.Builder` | `clearEnableReportingOverSerialPort()` Send a brief one-line ASCII report over the device's serial port.
    `StpApi.TagOperationReportConfig.Builder` | `clearEnableTagOperationPassAlreadyDoneReports()` KDK DOC: This enables tag operation reports for tags entering the system that have already been encoded.
    `StpApi.TagOperationReportConfig.Builder` | `clearEnableTagOperationReports()`
    `StpApi.TagOperationReportConfig.Builder` | `clearEnableTagOperationRetryReports()`
    `StpApi.TagOperationReportConfig.Builder` | `clearSendSerialReportAfterGPODeassert()` Send after GPO pass/fail assert or deassert.
    `StpApi.TagOperationReportConfig.Builder` | `clearTagOperationReportTrigger()`
    `StpApi.TagOperationReportConfig.Builder` | `clone()`
    `StpApi.TagOperationReportConfig` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `boolean` | `getEnableEpcInSerialReport()` This only has meaning if enable_reporting_over_serial_port is true.
    `boolean` | `getEnableReportingOverSerialPort()` Send a brief one-line ASCII report over the device's serial port.
    `boolean` | `getEnableTagOperationPassAlreadyDoneReports()` KDK DOC: This enables tag operation reports for tags entering the system that have already been encoded.
    `boolean` | `getEnableTagOperationReports()`
    `boolean` | `getEnableTagOperationRetryReports()`
    `boolean` | `getSendSerialReportAfterGPODeassert()` Send after GPO pass/fail assert or deassert.
    `StpApi.TagOperationReportTrigger` | `getTagOperationReportTrigger()`
    `boolean` | `hasEnableEpcInSerialReport()` This only has meaning if enable_reporting_over_serial_port is true.
    `boolean` | `hasEnableReportingOverSerialPort()` Send a brief one-line ASCII report over the device's serial port.
    `boolean` | `hasEnableTagOperationPassAlreadyDoneReports()` KDK DOC: This enables tag operation reports for tags entering the system that have already been encoded.
    `boolean` | `hasEnableTagOperationReports()`
    `boolean` | `hasEnableTagOperationRetryReports()`
    `boolean` | `hasSendSerialReportAfterGPODeassert()` Send after GPO pass/fail assert or deassert.
    `boolean` | `hasTagOperationReportTrigger()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.TagOperationReportConfig.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.TagOperationReportConfig.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.TagOperationReportConfig.Builder` | `mergeFrom(StpApi.TagOperationReportConfig other)`
    `StpApi.TagOperationReportConfig.Builder` | `setEnableEpcInSerialReport(boolean value)` This only has meaning if enable_reporting_over_serial_port is true.
    `StpApi.TagOperationReportConfig.Builder` | `setEnableReportingOverSerialPort(boolean value)` Send a brief one-line ASCII report over the device's serial port.
    `StpApi.TagOperationReportConfig.Builder` | `setEnableTagOperationPassAlreadyDoneReports(boolean value)` KDK DOC: This enables tag operation reports for tags entering the system that have already been encoded.
    `StpApi.TagOperationReportConfig.Builder` | `setEnableTagOperationReports(boolean value)`
    `StpApi.TagOperationReportConfig.Builder` | `setEnableTagOperationRetryReports(boolean value)`
    `StpApi.TagOperationReportConfig.Builder` | `setSendSerialReportAfterGPODeassert(boolean value)` Send after GPO pass/fail assert or deassert.
    `StpApi.TagOperationReportConfig.Builder` | `setTagOperationReportTrigger(StpApi.TagOperationReportTrigger value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagOperationReportConfig.Builder>`

    - #### clear

          public StpApi.TagOperationReportConfig.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagOperationReportConfig.Builder>`

    - #### clone

          public StpApi.TagOperationReportConfig.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagOperationReportConfig.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagOperationReportConfig.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.TagOperationReportConfig getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.TagOperationReportConfig build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.TagOperationReportConfig buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.TagOperationReportConfig.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.TagOperationReportConfig.Builder>`

    - #### mergeFrom

          public StpApi.TagOperationReportConfig.Builder mergeFrom(StpApi.TagOperationReportConfig other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagOperationReportConfig.Builder>`

    - #### mergeFrom

          public StpApi.TagOperationReportConfig.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                            throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.TagOperationReportConfig.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasEnableTagOperationReports

          public boolean hasEnableTagOperationReports()

      Specified by:
        `hasEnableTagOperationReports` in interface `StpApi.TagOperationReportConfigOrBuilder`

    - #### getEnableTagOperationReports

          public boolean getEnableTagOperationReports()

      Specified by:
        `getEnableTagOperationReports` in interface `StpApi.TagOperationReportConfigOrBuilder`

    - #### setEnableTagOperationReports

          public StpApi.TagOperationReportConfig.Builder setEnableTagOperationReports(boolean value)

    - #### clearEnableTagOperationReports

          public StpApi.TagOperationReportConfig.Builder clearEnableTagOperationReports()

    - #### hasEnableTagOperationRetryReports

          public boolean hasEnableTagOperationRetryReports()

      Specified by:
        `hasEnableTagOperationRetryReports` in interface `StpApi.TagOperationReportConfigOrBuilder`

    - #### getEnableTagOperationRetryReports

          public boolean getEnableTagOperationRetryReports()

      Specified by:
        `getEnableTagOperationRetryReports` in interface `StpApi.TagOperationReportConfigOrBuilder`

    - #### setEnableTagOperationRetryReports

          public StpApi.TagOperationReportConfig.Builder setEnableTagOperationRetryReports(boolean value)

    - #### clearEnableTagOperationRetryReports

          public StpApi.TagOperationReportConfig.Builder clearEnableTagOperationRetryReports()

    - #### hasTagOperationReportTrigger

          public boolean hasTagOperationReportTrigger()

      Specified by:
        `hasTagOperationReportTrigger` in interface `StpApi.TagOperationReportConfigOrBuilder`

    - #### getTagOperationReportTrigger

          public StpApi.TagOperationReportTrigger getTagOperationReportTrigger()

      Specified by:
        `getTagOperationReportTrigger` in interface `StpApi.TagOperationReportConfigOrBuilder`

    - #### setTagOperationReportTrigger

          public StpApi.TagOperationReportConfig.Builder setTagOperationReportTrigger(StpApi.TagOperationReportTrigger value)

    - #### clearTagOperationReportTrigger

          public StpApi.TagOperationReportConfig.Builder clearTagOperationReportTrigger()

    - #### hasEnableReportingOverSerialPort

          public boolean hasEnableReportingOverSerialPort()

      Send a brief one-line ASCII report over the device's serial port. Only used for single operating mode. See OperationMode_.
      Specified by:
        `hasEnableReportingOverSerialPort` in interface `StpApi.TagOperationReportConfigOrBuilder`

    - #### getEnableReportingOverSerialPort

          public boolean getEnableReportingOverSerialPort()

      Send a brief one-line ASCII report over the device's serial port. Only used for single operating mode. See OperationMode_.
      Specified by:
        `getEnableReportingOverSerialPort` in interface `StpApi.TagOperationReportConfigOrBuilder`

    - #### setEnableReportingOverSerialPort

          public StpApi.TagOperationReportConfig.Builder setEnableReportingOverSerialPort(boolean value)

      Send a brief one-line ASCII report over the device's serial port. Only used for single operating mode. See OperationMode_.

    - #### clearEnableReportingOverSerialPort

          public StpApi.TagOperationReportConfig.Builder clearEnableReportingOverSerialPort()

      Send a brief one-line ASCII report over the device's serial port. Only used for single operating mode. See OperationMode_.

    - #### hasSendSerialReportAfterGPODeassert

          public boolean hasSendSerialReportAfterGPODeassert()

      Send after GPO pass/fail assert or deassert.
      Specified by:
        `hasSendSerialReportAfterGPODeassert` in interface `StpApi.TagOperationReportConfigOrBuilder`

    - #### getSendSerialReportAfterGPODeassert

          public boolean getSendSerialReportAfterGPODeassert()

      Send after GPO pass/fail assert or deassert.
      Specified by:
        `getSendSerialReportAfterGPODeassert` in interface `StpApi.TagOperationReportConfigOrBuilder`

    - #### setSendSerialReportAfterGPODeassert

          public StpApi.TagOperationReportConfig.Builder setSendSerialReportAfterGPODeassert(boolean value)

      Send after GPO pass/fail assert or deassert.

    - #### clearSendSerialReportAfterGPODeassert

          public StpApi.TagOperationReportConfig.Builder clearSendSerialReportAfterGPODeassert()

      Send after GPO pass/fail assert or deassert.

    - #### hasEnableEpcInSerialReport

          public boolean hasEnableEpcInSerialReport()

      This only has meaning if enable_reporting_over_serial_port is true. When this is false, the EPC reported in the serial tag report is the empty string instead of the actual EPC read. This is useful for reducing the amount of traffic over the serial port if the EPC is not useful for a particular application.
      Specified by:
        `hasEnableEpcInSerialReport` in interface `StpApi.TagOperationReportConfigOrBuilder`

    - #### getEnableEpcInSerialReport

          public boolean getEnableEpcInSerialReport()

      This only has meaning if enable_reporting_over_serial_port is true. When this is false, the EPC reported in the serial tag report is the empty string instead of the actual EPC read. This is useful for reducing the amount of traffic over the serial port if the EPC is not useful for a particular application.
      Specified by:
        `getEnableEpcInSerialReport` in interface `StpApi.TagOperationReportConfigOrBuilder`

    - #### setEnableEpcInSerialReport

          public StpApi.TagOperationReportConfig.Builder setEnableEpcInSerialReport(boolean value)

      This only has meaning if enable_reporting_over_serial_port is true. When this is false, the EPC reported in the serial tag report is the empty string instead of the actual EPC read. This is useful for reducing the amount of traffic over the serial port if the EPC is not useful for a particular application.

    - #### clearEnableEpcInSerialReport

          public StpApi.TagOperationReportConfig.Builder clearEnableEpcInSerialReport()

      This only has meaning if enable_reporting_over_serial_port is true. When this is false, the EPC reported in the serial tag report is the empty string instead of the actual EPC read. This is useful for reducing the amount of traffic over the serial port if the EPC is not useful for a particular application.

    - #### hasEnableTagOperationPassAlreadyDoneReports

          public boolean hasEnableTagOperationPassAlreadyDoneReports()

      KDK DOC: This enables tag operation reports for tags entering the system that have already been encoded. They were not re-encoded.
      Specified by:
        `hasEnableTagOperationPassAlreadyDoneReports` in interface `StpApi.TagOperationReportConfigOrBuilder`

    - #### getEnableTagOperationPassAlreadyDoneReports

          public boolean getEnableTagOperationPassAlreadyDoneReports()

      KDK DOC: This enables tag operation reports for tags entering the system that have already been encoded. They were not re-encoded.
      Specified by:
        `getEnableTagOperationPassAlreadyDoneReports` in interface `StpApi.TagOperationReportConfigOrBuilder`

    - #### setEnableTagOperationPassAlreadyDoneReports

          public StpApi.TagOperationReportConfig.Builder setEnableTagOperationPassAlreadyDoneReports(boolean value)

      KDK DOC: This enables tag operation reports for tags entering the system that have already been encoded. They were not re-encoded.

    - #### clearEnableTagOperationPassAlreadyDoneReports

          public StpApi.TagOperationReportConfig.Builder clearEnableTagOperationPassAlreadyDoneReports()

      KDK DOC: This enables tag operation reports for tags entering the system that have already been encoded. They were not re-encoded.